site_name: HomeLab Serti
site_url: https://docs.serti.fun/
site_description: Документация и блог моего HomeLab
site_author: Kurnesay

theme:
  name: material
  features:
    - navigation.tabs
    - navigation.sessions
    - navigation.expand
    - navigation.instant
    - navigation.trcking
    - toc.integrate
  palette:
    # Светлая тема
    - scheme: default
      primary: teal
      accent: deep orange
      toggle:
        icon: material/weather-sunny
        name: Switch to dark mode
    # Тёмная тема
    - scheme: slate
      primary: teal
      accent: deep orange
      toggle:
        icon: material/weather-night
        name: Switch to light mode

plugins:
  - search
  - git-revision-date-localized

nav:
  - Главная: index.md
  - Документации:
      - GNU/Linux:
        - Основные команды: docs/linux/base-commands.md
      - 'Steam Deck': 
        - "Снятие Read Only с корневого раздела": docs/steam-deck/disable-read-only.md
  - Сервисы: services.md
  - Мой сервер: server.md
  - Блог:
    - 2026:
      - "01 Создание блога": blog/2026/create-blog.md
      - "02 Дифицит компьютерной техники": blog/2026/ai-and-me.md

extra:
  social:
    - icon: fontawesome/solid/envelope
      link: mailto:kurnesay@disroot.org
    - icon: fontawesome/brands/git-alt
      link: https://git.serti.fun/Kurnesay/serti-docs/src/branch/main
    - icon: fontawesome/brands/telegram
      link: https://t.me/Kurnesay
    - icon: fontawesome/brands/discord
      link: https://discordapp.com/user/226313599570804736
    - icon: fontawesome/brands/steam
      link: https://steamcommunity.com/id/KURNESAY/

